<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension-point id="metamodels" name="de.ikv.medini.qvt.ui.metamodels" schema="schema/de.ikv.medini.qvt.ui.extensionpoint.exsd"/>
   
	<extension id="QVTFileProblem" name="QVT Problems" point="org.eclipse.core.resources.markers">
  		<super type="org.eclipse.core.resources.problemmarker" /> 
	</extension>   
   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="de.ikv.medini.qvt.ui.editors.QVTEditor"
            contributorClass="org.eclipse.ui.texteditor.BasicTextEditorActionContributor"
            default="true"
            extensions="qvt"
            filenames="*.qvt"
            icon="icons/obj16/qvt.gif"
            id="qvt.editor"
            name="QVT Editor"/>
      <editor
            class="de.ikv.medini.qvt.ui.editors.OCLEditor"
            contributorClass="org.eclipse.ui.texteditor.BasicTextEditorActionContributor"
            default="true"
            extensions="ocl"
            icon="icons/obj16/qvt.gif"
            id="ocl.editor"
            name="OCL Editor"/>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="de.ikv.medini.kernel.tools.ui.openDeclaration"
            contextId="de.ikv.medini.kernel.tools.ui.QVTEditorScope"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="F3"/>
      <key
            commandId="de.ikv.medini.kernel.tools.ui.renameInFile"
            contextId="de.ikv.medini.kernel.tools.ui.QVTEditorScope"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="CTRL+SHIFT+R"/>
      <key
            commandId="de.ikv.medini.kernel.tools.ui.formatInFile"
            contextId="de.ikv.medini.kernel.tools.ui.QVTEditorScope"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            sequence="CTRL+M2+F"/>
   </extension>
   <extension
         point="org.eclipse.ui.contexts">
      <context
            description="de.ikv.medini.kernel.tools.ui.QVTEditorScope"
            id="de.ikv.medini.kernel.tools.ui.QVTEditorScope"
            name="de.ikv.medini.kernel.tools.ui.QVTEditorScope"
            parentId="org.eclipse.ui.textEditorScope"/>
   </extension>
   

   <extension
         point="org.eclipse.ui.commands">

      <command
            name="de.ikv.medini.kernel.tools.ui.openDeclaration"
            description="de.ikv.medini.kernel.tools.ui.openDeclaration"
            id="de.ikv.medini.kernel.tools.ui.openDeclaration">
      </command>
      <command
            name="de.ikv.medini.kernel.tools.ui.renameInFile"
            description="de.ikv.medini.kernel.tools.ui.renameInFile"
            id="de.ikv.medini.kernel.tools.ui.renameInFile">
      </command>
      <command
            id="de.ikv.medini.kernel.tools.ui.formatInFile"
            description="de.ikv.medini.kernel.tools.ui.formatInFile"
            name="de.ikv.medini.kernel.tools.ui.formatInFile"/>
         
   </extension>
   <extension
         point="org.eclipse.core.runtime.preferences">
      <initializer class="de.ikv.medini.qvt.ui.preferences.QVTPreferenceInitializer"/>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            adaptable="false"
            id="de.ikv.medini.qvt.ui.objectContribution1"
            objectClass="de.ikv.medini.qvt.model.qvtrelation.Relation">
         <action
               class="de.ikv.medini.qvt.ui.action.QVTSortClausesAction"
               enablesFor="1"
               id="de.ikv.medini.qvt.ui.SortClauses"
               label="Show pseudo code"
               style="push"/>
      </objectContribution>
      <!--
      <objectContribution
            adaptable="false"
            id="de.ikv.medini.qvt.ui.QVTSaveAsXMI"
            objectClass="de.ikv.medini.qvt.model.qvtbase.Transformation">
         <action
               class="de.ikv.medini.qvt.ui.action.QVTSaveAsXMI"
               enablesFor="1"
               id="de.ikv.medini.qvt.ui.QVTSaveAsXMI"
               label="Save as XMI"
               style="push"/>
      </objectContribution>
      -->
      <objectContribution
            adaptable="false"
            id="de.ikv.medini.qvt.ui.objectContribution2"
            objectClass="org.oslo.ocl20.semantics.SemanticsVisitable">
         <action
               class="de.ikv.medini.qvt.ui.action.QVTShowDependenciesAction"
               enablesFor="1"
               id="de.ikv.medini.qvt.ui.ShowDependencies"
               label="Show variable dependencies"
               style="push"/>
      </objectContribution>
      <objectContribution
            adaptable="false"
            id="de.ikv.medini.qvt.model.ui.showProperty"
            objectClass="de.ikv.medini.qvt.model.qvttemplate.PropertyTemplateItem">
         <action
               class="de.ikv.medini.qvt.ui.action.QVTShowPropertyInformationAction"
               enablesFor="1"
               id="de.ikv.medini.qvt.ui.ShowProperty"
               label="Show property information"
               style="push"/>
      </objectContribution>
      <viewerContribution
            id="de.ikv.medini.qvt.ui.viewerContribution1"
            targetID="qvt.editor.editorMenu">
         <action
               class="de.ikv.medini.qvt.ui.action.QVTReloadMetamodelsAction"
               id="de.ikv.medini.qvt.ui.ReloadMetamodels"
               label="Reload metamodels"
               menubarPath="add"
               style="push"/>
      </viewerContribution>
   </extension>

</plugin>
